# List incoming messages With the list operation, you can list all inbound messages that you have received. This operation supports pagination. Inbounds are returned in reverse chronological order. Endpoint: GET /xms/v1/{service_plan_id}/inbounds Version: v1 Security: BearerAuth ## Path parameters: - `service_plan_id` (string, required) Your service plan ID. You can find this on your Dashboard. Example: "jd63jf88477ll123ab4567cd89012ef3" ## Query parameters: - `page` (integer) The page number starting from 0. Example: 2 - `page_size` (integer) Determines the size of a page - `to` (array) Only list messages sent to this destination. Multiple phone numbers formatted as either E.164 or short codes can be comma separated. Example: ["+14155553421","45607"] - `start_date` (string) Only list messages received at or after this date/time. Formatted as ISO-8601: YYYY-MM-DDThh:mm:ss.SSSZ. Default: Now-24 - `end_date` (string) Only list messages received before this date/time. Formatted as ISO-8601: YYYY-MM-DDThh:mm:ss.SSSZ. Example: "2016-10-02T09:34:18.542Z" - `client_reference` (string) Using a client reference in inbound messages requires additional setup on your account. Contact your account manager to enable this feature. Only list inbound messages that are in response to messages with a previously provided client reference. Example: "myReference" ## Response 200 fields (application/json): - `count` (integer) The total number of inbounds matching the given filters Example: 2 - `page` (integer) The requested page. - `inbounds` (array) The page of inbounds matching the given filters. - `page_size` (integer) The number of inbounds returned in this request. Example: 2 ## Response 400 fields (application/json): - `code` (string) The error code. See [error codes](https://developers.sinch.com/docs/sms/api-reference/status-codes/). - `text` (string) The human readable description of the error.